{

	"ID" : 2020808,

	"Events" : 

	{

    	//起始执行的事件

    	"OnStart" : 

    	{"Actions":[

    		{

    			"$type" : "Share.CConfigOpenDialog"

    		},

    		{

            	//对话框内容

            	"$type" : "Share.CConfigLogText",

            	"Messages" : 

            	[

					"Event_19008_Log_1_1"

				]

			},

			{

				"$type" : "Share.CConfigJump",

				"Jump" : "OptionSelect"

			}

		]},

		"OptionSelect" :

		{"Actions":[

            {

				//根据选项模式选择选项

				"$type" : "Share.CConfigChoiceServer",

				"OptionsMode" : "Normal",

				"Description" : "Event_19008_Des_1",

				"Choices" : 

				[

					{

						"OptionText" : "Event_19008_op_1",

						"Predicates" : 

						[

							{

								//拥有足够金钱钱

								"$type" : "Share.CConfigEventByItemID",

								"ItemID" : 1,

								"CompareType" : "GreaterEqual",

								"Count" : "specials(coin)"

							}

						],

						"OptionContents" : 

						[

							{

								//花费300金币随机回血

								"Actions" : 

								[

									{

										//随机回复角色血量

										"$type" : "Share.CConfigModifyProperty",

										"Property" : "Hp",

										"ModifyType" : "Add",

										"Target" : "All",

										"Count" : "rand(5,30)*0.01*property(HpMax)"

									},

									{

										//扣除金币

										"$type" : "Share.CConfigAddItem",

										"ItemID" : 1,

										"Count" : "-specials(coin)"

									}, //更改下一次价格

									{

										"$type" : "Share.CConfigSetSpecial",

										"SpecialName" :  "coin",

										"SpecialValue" : "specials(coin)+specials(coinex)"

									},

									{

										"$type" : "Share.CConfigJump",

										"Jump" : "OptionSelect"

									}

								]

							}

						]

					},

					{

						"OptionText" : "Event_19008_op_2",

						"Predicates" : 

						[

							{

								//判断是否拥有老兵系列全套

								"$type" : "Share.CConfigEventByItemID",

								"ItemID" : 1091001,

								"CompareType" : "Equal",

								"Count" : 1

							},

							{

								//判断是否拥有老兵系列全套

								"$type" : "Share.CConfigEventByItemID",

								"ItemID" : 1091002,

								"CompareType" : "Equal",

								"Count" : 1

							},

							{

								//判断是否拥有老兵系列全套

								"$type" : "Share.CConfigEventByItemID",

								"ItemID" : 1091003,

								"CompareType" : "Equal",

								"Count" : 1

							},

							{

								//判断是否拥有老兵系列全套

								"$type" : "Share.CConfigEventByItemID",

								"ItemID" : 1091004,

								"CompareType" : "Equal",

								"Count" : 1

							},

							{

								//判断是否拥有老兵系列全套

								"$type" : "Share.CConfigEventByItemID",

								"ItemID" : 1091005,

								"CompareType" : "Equal",

								"Count" : 1

							},

							{

								//判断是否拥有老兵系列全套

								"$type" : "Share.CConfigEventByItemID",

								"ItemID" : 1091006,

								"CompareType" : "Equal",

								"Count" : 0

							}

						],

						"OptionContents" : 

						[

							{

								//获得老兵召唤器

								"Actions" : 

								[

									{

										//获得老兵召唤器

										"$type" : "Share.CConfigAddItem",

										"ItemID" : 1091006,

										"Count" : 1

									},

									{

										"$type" : "Share.CConfigJump",

										"Jump" : "OptionSelect"

									}

								]

							}

						]

					},

					{

						"OptionText" : "Event_19008_op_4",

						"Predicates" : 

						[

							{

								//拥有小于300块钱

								"$type" : "Share.CConfigEventByItemID",

								"ItemID" : 1,

								"CompareType" : "Less",

								"Count" : "specials(coin)"

							}

						],

						"OptionContents" : 

						[

							

							{

								//假回血事件

								"Actions" : 

								[

									{

										"$type" : "Share.CConfigJump",

										"Jump" : "Op_4_Over_1"

									}

								]

							}

						]

					},

					{

						"OptionText" : "Event_19008_op_5",

						"Predicates" : 

						[

							{

								//没有凑齐老兵系列

								"$type" : "Share.CConfigEventByOr",

								"Predicates" :

								[

									{

										//判断是否拥有老兵系列全套

										"$type" : "Share.CConfigEventByItemID",

										"ItemID" : 1091001,

										"CompareType" : "Equal",

										"Count" : 0

									},

									{

										//判断是否拥有老兵系列全套

										"$type" : "Share.CConfigEventByItemID",

										"ItemID" : 1091002,

										"CompareType" : "Equal",

										"Count" : 0

									},

									{

										//判断是否拥有老兵系列全套

										"$type" : "Share.CConfigEventByItemID",

										"ItemID" : 1091003,

										"CompareType" : "Equal",

										"Count" : 0

									},

									{

										//判断是否拥有老兵系列全套

										"$type" : "Share.CConfigEventByItemID",

										"ItemID" : 1091004,

										"CompareType" : "Equal",

										"Count" : 0

									},

									{

										//判断是否拥有老兵系列全套

										"$type" : "Share.CConfigEventByItemID",

										"ItemID" : 1091005,

										"CompareType" : "Equal",

										"Count" : 0

									}

								]

							}

						],

						"OptionContents" : 

						[

							{

								//退出老兵事件

								"Actions" : 

								[

									{

										"$type" : "Share.CConfigJump",

										"Jump" : "Op_5_Over_1"

									}

								]

							}

						]

					},

					{

						"OptionText" : "Event_19008_op_3",

						"OptionContents" : 

						[

							{

								//退出老兵事件

								"Actions" : 

								[

									{

										"$type" : "Share.CConfigJump",

										"Jump" : "Op_1_Over_1"

									}

								]

							}

						]

					}

				]

			}

		]},

    	"Op_1_Over_1":

    	{"Actions":[

    		{

    			"$type" : "Share.CConfigLogText",

    			"Messages" : 

    			[

    				"Event_19008_op_1_over_1"

    			]

    		},

    		{

    			"$type" : "Share.CConfigJump",

    			"Jump" : "OnEnd"

    		}

		]},

		"Op_4_Over_1":

    	{"Actions":[

    		{

    			"$type" : "Share.CConfigLogText",

    			"Messages" : 

    			[

    				"Event_19008_op_4_over_1"

    			]

    		},

    		{

    			"$type" : "Share.CConfigJump",

    			"Jump" : "OptionSelect"

    		}

		]},

		"Op_5_Over_1":

    	{"Actions":[

    		{

    			"$type" : "Share.CConfigLogText",

    			"Messages" : 

    			[

    				"Event_19008_op_5_over_1"

    			]

    		},

    		{

    			"$type" : "Share.CConfigJump",

    			"Jump" : "OptionSelect"

    		}

    	]},

    	"OnEnd" : 

    	{"Actions":[

    		{

    			"$type" : "Share.CConfigCloseDialog"

    		},

    		{

    			"$type" : "Share.CConfigFinishEvent"

    		}

    	]}

    },

    "EventSpecials" :

    {

		"coin": 300,

		"coinex": 200

	}

}